# -*- encoding : utf-8 -*-
class MenuItems < ActiveRecord::Migration
	def self.up
  
	
		create_table :menu_items do |t|
			t.string :name
			t.string :slug
			t.string :permalink
		
			t.integer :parent_id
			t.integer :position
			
			t.boolean :super_admin
			t.boolean :enabled
			t.boolean :visible
			t.boolean :deleted
		
			t.references :menu
		
			#polymorphic
			t.integer :menu_content_id
			t.string :menu_content_type
		
		
			t.timestamps
		end

	end

	def self.down
		drop_table :menu_items
	end
end
